Page MenuHomePhabricator

drop-down indicator should not flip in the whole extension
Closed, ResolvedPublic1 Story Points

Description

Current situation:
The indicator flips on a horizontal axis when the field is expanded and retracted again. This is not according to OOUI patterns and doesn't match the behavior of most browsers.

As pointed out by @Volker_E in this comment T187099#4015542

closed:


open:

Task:
The indicator should not change orientation regardless whether the section is expanded or not.

Criteria:

  • When the section is expanded the indicator should not change it's orientation.

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptMar 20 2018, 1:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE set the point value for this task to 1.Mar 28 2018, 1:31 PM
Charlie_WMDE updated the task description. (Show Details)Jun 5 2018, 12:26 PM
Charlie_WMDE added a subscriber: Volker_E.

Change 437462 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[mediawiki/extensions/AdvancedSearch@master] Remove flipping behavior of indicator arrow

https://gerrit.wikimedia.org/r/437462

Change 437462 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Remove flipping behavior of indicator arrow

https://gerrit.wikimedia.org/r/437462

thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.Jun 12 2018, 4:06 PM
Lea_WMDE closed this task as Resolved.Oct 11 2018, 8:52 AM